<%@ page title="" language="VB" masterpagefile="~/Template/Master.master" autoeventwireup="false" inherits="RCC_Exchange_MailBoxTemplates, MachSol.MachPanel.Web" %>

<asp:Content ID="Content5" ContentPlaceHolderID="CPH_Content" runat="Server">

     <script type="module">

        import { createApp } from 'vue'
         import MailboxTemplates from '/Components/Exchange/MailboxTemplates.js?v=3.9'
        import { getLabelText } from '/Components/Common/utils.js?v=3.9'

        createApp({
            data() {
                return {
                    readOnly: <%= Helper.ReadOnlyRole %>,
                    companyId: '<%= Session("CompanyId") %>',
                    employeeId: '<%= IIf(String.IsNullOrEmpty(Session("EmployeeId")), 0, Session("EmployeeId")) %>',          
                }
            }, 
            methods: {
                getLabelText,
            },
            components: {             
                MailboxTemplates,
            },                 
            created: function () {
                let urlParams = new URLSearchParams(window.location.search);
                
                if (urlParams.has('Su')) {
                    displaySuccessMsg(this.getLabelText('EGN0000011'));
                }
            },              
            template: `
<MailboxTemplates :readOnly="readOnly" :companyId="companyId" :employeeId="employeeId" />
`
        }).mount('#app')

     </script>
    
    <div id="app">
    </div>
</asp:Content>
